Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class PolylineView

    java.lang.Object
      ru.biosoft.graphics.View
          ru.biosoft.graphics.ShapeView
              ru.biosoft.graphics.PolygonView
                  ru.biosoft.graphics.PolylineView

public class PolylineView
extends PolygonView

Field Summary

Fields inherited from class ru.biosoft.graphics.ShapeView
`brush, pen`

Fields inherited from class ru.biosoft.graphics.View
`ACTIVE, at, BASELINE, BOTTOM, CENTER, HIDE, LEFT, model, RIGHT, shape, TOP, type`

Constructor Summary
`PolylineView(Pen pen)`
`PolylineView(Pen pen, int[] xpoints, int[] ypoints)`
`PolylineView(Pen pen, java.awt.Polygon polygon)`

Method Summary
`void` | `paint(java.awt.Graphics2D g)` Paints this view on specified Graphics2D.

Methods inherited from class ru.biosoft.graphics.PolygonView
`addPoint, addPoint, move`

Methods inherited from class ru.biosoft.graphics.ShapeView
`getBrush, getPen, setToScale`

Methods inherited from class ru.biosoft.graphics.View
`getBounds, getModel, getShape, intersects, isActive, isVisible, move, scale, setActive, setLocation, setLocation, setModel, setVisible, updateBounds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolylineView

    public PolylineView(Pen pen)

### PolylineView

    public PolylineView(Pen pen,
                        int[] xpoints,
                        int[] ypoints)

### PolylineView

    public PolylineView(Pen pen,
                        java.awt.Polygon polygon)

Method Detail

### paint

    public void paint(java.awt.Graphics2D g)

  Description copied from class: `View`
  Paints this view on specified Graphics2D.

  Overrides:
    `paint` in class `ShapeView`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.